import React, { useState, useEffect } from 'react';
import {FormComponent} from '@formbird/types';
import { convertToCustomElement } from '../utils/CustomElementWrapper';

const MhComponentComponent = ({
  document,
  fieldValue,
  template,
  fieldName,
  formParameters,
  key,
  responsiveLayouts,
  message,
  componentDefinition
}) => {

  const [value, setValue] = useState();

  useEffect(() => {
    if (fieldValue) {
      setValue(fieldValue);
    } else if (componentDefinition.defaultValue) {
      setValue(componentDefinition.defaultValue);
    }
  }, []);

  return (
    <p>mh-component works. Please edit src/components/MhComponentComponent.tsx to make changes vscode update</p>
  );
};

// register the component as a custom element so it can be shown in formbird
convertToCustomElement('mh-component', MhComponentComponent);

export default MhComponentComponent;
